{
Copyright (C) 1998-99 Free Software Foundation, Inc.

Author: Frank Heckenbach <frank@pascal.gnu.de>

Dummy BP compatible overlay unit for GPC

This library is free software; you can redistribute it and/or modify
it under the terms of the GNU Library General Public License as published by
the Free Software Foundation, version 2.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
}

unit Overlay;

interface

const
  ovrOk = 0;
  ovrError = - 1;
  ovrNotFound = - 2;
  ovrNoMemory = - 3;
  ovrIOError = - 4;
  ovrNoEMSDriver = - 5;
  ovrNoEMSMemory = - 6;

const
  OvrEmsPages  : Word = 0;
  OvrTrapCount : Word = 0;
  OvrLoadCount : Word = 0;
  OvrFileMode  : Byte = 0;

type
  OvrReadFunc = function (OvrSeg : Word) : Integer;

var
  OvrReadBuf : OvrReadFunc;
  OvrResult  : Integer value 0;

procedure OvrInit (FileName : String);
procedure OvrInitEMS;
procedure OvrSetBuf (Size : LongInt);
function  OvrGetBuf : LongInt;
procedure OvrSetRetry (Size : LongInt);
function  OvrGetRetry : LongInt;
procedure OvrClearBuf;

implementation

procedure OvrInit (FileName : String);
begin
  OvrResult := ovrOK
end;

procedure OvrInitEMS;
begin
  OvrResult := ovrNoEMSDriver
end;

procedure OvrSetBuf (Size : LongInt);
begin
end;

function  OvrGetBuf : LongInt;
begin
  OvrGetBuf := 0
end;

procedure OvrSetRetry (Size : LongInt);
begin
end;

function  OvrGetRetry : LongInt;
begin
  OvrGetRetry := 0
end;

procedure OvrClearBuf;
begin
end;

end.
